Agent mode, model, monthly usage
GET
/projects/{projectId}/agent/status
Authentication
API Key (header: X-API-Key)
Path Parameters
projectId
string
required
path
Responses
200
Status
application/jsondata
object
enabled
boolean
mode
string
Enum:
autopilot, copilot, assistmodel
string
domain
string | null
has_byom_key
boolean
usage_this_month
object
calls
integer
input_tokens
integer
output_tokens
integer
cost_usd
number
curl -X GET 'https://api.rogeriq.com/api/v1/projects/string/agent/status' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.rogeriq.com/api/v1/projects/string/agent/status', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.rogeriq.com/api/v1/projects/string/agent/status', headers=headers)print(response.json())
200
Response
{ "data": { "enabled": true, "mode": "autopilot", "model": "<string>", "domain": "<string>", "has_byom_key": true, "usage_this_month": { "calls": 123, "input_tokens": 123, "output_tokens": 123, "cost_usd": 123 } }}
API Playground
Try this endpoint
GET
/projects/{projectId}/agent/status